package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability2770/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaRetailMarketingBuygiftActivitySaveRequest struct {
	/*
	   保存单品买赠活动参数     */
	Param *domain.AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest `json:"param" required:"true" `
}

func (s *AlibabaRetailMarketingBuygiftActivitySaveRequest) SetParam(v domain.AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest) *AlibabaRetailMarketingBuygiftActivitySaveRequest {
	s.Param = &v
	return s
}

func (req *AlibabaRetailMarketingBuygiftActivitySaveRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaRetailMarketingBuygiftActivitySaveRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
